migrationtools (48-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + Fixed hosts file export
    + Added autoconf capability for connection and authentication
      plus various fixes
    + Deleted ads folder
    + fix paths to perl executable and shared file;
      closes: bug#923463, thanks to Simone Piccardi
    + Rewritten scripts structure
    + Fixed migrate_services behaviour with missing or empty files
    + Added copyright mentions
    + Ignoring duplicate common names in services
    + Added autoconf support in perl scripts
      and minor fixes in hosts
    + Fixed minor things in ldap.conf parse
    + Added support to samba
      and fixed autoconf function
    + Add copyright notices
    + Changed README format
      and added some infos
    + Removed CVSInfo as it's not useful anymore
    + Fixed copyright notice
    + Removed rendundant declaration in readme
    + Added index

  [ Jonas Smedegaard ]
  * update upstream Homepage and source URLs: project revived at Gitlab
  * drop patches adopted upstream
  * update and rename patch 1004, and add DEP-3 patch header
  * copyright: update coverage
  * generate html and plaintext documentation from markdown source
  * add patch 1001
    to require full path (not bare file) for perl scripts

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Mar 2021 17:35:08 +0100

migrationtools (47-9) unstable; urgency=medium

  * update patch 1004 to use krbPrincipalAux and krbPrincipalName
    (not krb5Principal and krb5PrincipalName);
    closes: bug#558432, thanks to Quirin Maier
  * simplify rules;
    stop build-depend on cdbs dh-buildinfo
  * add helper script copyright-check with source
    (replacing similar locally embedded cdbs snippet);
    stop build-depend on devscripts
  * use source format 3.0 (quilt);
    stop build-depend on quilt patchutils
  * use debhelper compatibility level 13 (not 6);
    build-depend on debhelper-compat (not debhelper);
    closes: bug#965724, thanks to Niels Thykier
  * update Maintainer and Vcs-* fields:
    package now maintained at Salsa
  * set Rules-Requires-Root: no
  * copyright:
    + rewrite in machine-readable format
    + license packaging as GPL-3+
    + suppress lintian warnings (see bug#786450)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Sep 2020 14:33:09 +0200

migrationtools (47-8) unstable; urgency=low

  * Simple rebuild using correct pristine upstream tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Nov 2009 14:29:25 +0100

migrationtools (47-7) unstable; urgency=low

  * Add README.source.
  * Update local CDBS snippets:
    + Minor updates to buildinfo.mk
    + Major rewrite of copyright-check.mk
    + Add and use new snippet package-relations.mk (replacing custom
      cleanup in debian/rules).
    + Drop auto-update.mk (replaced by DEB_MAINTAINER_MODE flag)
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Extend patch 1007 to first add protocol suffix and only add port
    suffix if needed too. Closes: bug#541296, thanks to Peter Marschall.
  * Fix tighten build-dependency on debhelper.
  * Depend on ${misc:Depends} (thanks to lintian).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Nov 2009 13:43:54 +0100

migrationtools (47-6) unstable; urgency=medium

  * Dummy rerelease, using proper tarball (lost in switch to Git).
  * Keep urgency=medium from release 47.4.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 14:41:10 +0200

migrationtools (47-5) unstable; urgency=medium

  * Add note about access to shadow passwords to README.Debian.  This
    closes: bug#375007, thanks to James Westby.
  * Keep urgency=medium...

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 13:48:10 +0200

migrationtools (47-4) unstable; urgency=medium

  * Packaging moved to collab-maint Git at Alioth.  Add VCS-* hints to
    debian/control.
  * Only apply access rights to files (not the symlink).  Closes:
    bug#464294, thanks to Lucas Nussbaum.
  * Move Homepage to own field (from pseudo-field in long description)
    in debian/control.
  * Update local cdbs snippets:
    + Update copyright-check.mk to parse licensecheck output using perl:
      + No longer randomly drops newlines
      + More compact hint file (and ordered more like wiki-proposed new
        copyright syntax).
      + No longer ignore files without copyright.
      + Relax to only warn about its discoveries.  This is a potential
        FTBFS (see bug#487065).
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Cosmetic updates to README.cdbs-tweaks.
    + Cleanup duplicate build-dependencies in debian/rules.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
  * Set urgency=medium due to multiple FTBFS bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 13:41:12 +0200

migrationtools (47-3) unstable; urgency=low

  * Rewrite utf8 patch:
    + Actually works again now
    + ASCII-encodes most Latin1 characters.
    + Properly handles mixture of ISO8859-1 and UTF8 user data.
  * Add patch 1007 to distinguish different but identically named
    services across protocols (e.g. tcp/udp echo vs. ddp echo). This
    closes: bug#307618, reported by gary ng, fix written by me.
  * Add some new ideas to TODO.
  * Update cdbs tweaks:
    + Improved report when copyrights change.
    + New snippet upstream-tarball.mk, with get-orig-source target and
      more.
    + Update README.cdbs-tweaks.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2007 00:11:56 +0200

migrationtools (47-2) unstable; urgency=low

  * Improve utf8 patch to only base64-encode non-ASCII strings.
  * Add TODO with a few ideas for further improvements.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jan 2007 22:49:10 +0100

migrationtools (47-1) unstable; urgency=low

  * Mew upstream release.
    + Add password age info only when non-empty.
  * Acknowledge NMU.
  * Improve tempfile patch:
    + Also use mktemp for temporary ldif files.
    + Exit if mktemp fails (not only on empty output).
    + Drop no longer needed process number for filenames in tempdir.
    + Remove tempdir after succesful use.
    + Use same indentation as upstream.
    + Save as patch file in source package.
  * Reorganize patches:
    + Switch to using quilt.
    + Renumber patches, and add README to source package documenting it.
    + Separate UTF8 and uid/gid patches, and merge with their config
      settings.
  * Add patch 1006 to allow overriding slapadd in migrate_all_offline.
  * Add/update local cdbs tweaks, and add README.cdbs-tweaks to source
    package, documenting their purpose.
  * Bump up standards-version to 3.7.2 (no changes needed).
  * Change website line in long description to proper " Homepage" hint.
  * Use build-depends (not build-depends-indep, that was a mistake).
  * Semi-auto-update debian/control, bumping up debhelper dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jan 2007 22:09:50 +0100

migrationtools (46-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix insecure tempfile creation (closes: #338920)

 -- Stephen Gran <sgran@debian.org>  Sun, 29 Jan 2006 15:15:25 +0000

migrationtools (46-2) unstable; urgency=low

  * Patch to use krb5Principal and krb5PrincipalName from krb5-kdc
    scheme (not unknown kerberosSecurityObject and krbName).
  * Rewrite patches more compact (saves space and patching time a bit).
  * Standards-Version: 3.6.2 (no changes needed).
  * Watch file version 3 (no changes).
  * Use cdbs debian/control auto-build, but only when environment
    includes DEB_BUILD_OPTIONS=update.
  * Auto-update build-dependencies (and manually rip out build-essential
    buggily sneaking in).
  * Drop fallback dependency on umich-ldap-utils (no longer relevant).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Oct 2005 00:25:27 +0200

migrationtools (46-1) unstable; urgency=high

  * New upstream release:
    + Define objectClass: inetLocalMailRecipient (not mailRecipient).
    + Preserve prepared LDIF on failure applying it.
    + Declare "objectClass: account" only if not using $EXTENDED_SCHEMA.
  * Use generic (but unofficial) buildinfo cdbs snippet.
  * Set urgency=high to hopefully get this into sarge in time (the
    changes are small but valuable).
  * Tighten debhelper build-dependency to please linda.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  3 Nov 2004 22:33:37 +0100

migrationtools (45-2) unstable; urgency=low

  * Correct uid gid confusion in hack. Closes: Bug#261063 (thanks to
    Vaclav Smilauer <eudoxos@arcig.cz>).
  * Enable 8bit tweak by default: 8bit characters are interpreted as
    ISO8859-1 and encoded as Base64 (except gecos field where they
    instead are replaced with similar 7bit characters: The LDAP schema
    seems to be more restrictive than Debian shadow tools). The other
    tweak - exclusion of Debian system users and groups - is still
    disabled by default (the scripts attempts to migrate loads of system
    stuff by default anyway).
  * Recode this changelog as UTF8.
  * Improve watch file:
    + Add hint on usage
    + Use web URL (instead of ftp)
    + Tweak regex slightly
  * Repackage using cdbs.
  * Use dh-buildinfo.
  * Cleaned up debian/copyright:
    + Use web URL as origin
    + Replace info contained in changelog with note on "GNU systems".
    + Declare each topic more strictly.
    + Mention "licensing info" together with copyright.
  * Improved long descriptions:
    + Website URL added

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jul 2004 16:09:07 +0200

migrationtools (45-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.6.1 (no changes needed).
  * Really behave as upstream by default (UTF8 was accidentally enabled
    by default), and correct documentation of added options in
    README.Debian.
  * Add watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Oct 2003 00:53:40 +0200

migrationtools (44-6) unstable; urgency=low

  * Fix double cn entry (thanks to Wladimir Mutel
    <mwg@fluffy.isd.dp.ua>).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2002 18:54:15 +0200

migrationtools (44-5) unstable; urgency=low

  * Minor fixes against v 44-2 for grammar and not assuming `.' is in
    PATH, thanks to Dave Love <d.love@dl.ac.uk> (closes: #161082).
  * Use binary-indep build target, not binary-arch.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2002 15:44:16 +0200

migrationtools (44-4) unstable; urgency=low

  * Really correct the utf8 calls, thanks to Wladimir Mutel
    <mwg@fluffy.isd.dp.ua>.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Sep 2002 20:23:20 +0200

migrationtools (44-3) unstable; urgency=low

  * Really correct calls to utf8 subroutine, thanks to Wladimir Mutel
    <mwg@isd.dp.ua>.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2002 11:08:42 +0200

migrationtools (44-2) unstable; urgency=low

  * Fix typo in utf8 hack. Thanks to Louis-David Mitterrand
    <ldm@apartia.org> for spotting it (Closes: #159317).
  * Add a comment about how to migrate on top of a default slapd install
    (closes: #159318).

 -- Jonas Smedegaard <dr@jones.dk>  Mon,  2 Sep 2002 20:03:12 +0200

migrationtools (44-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2002 22:44:57 +0200

migrationtools (42-1) unstable; urgency=low

  * Newer upstream version.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  3 Jul 2002 22:45:51 +0200

migrationtools (40-3) unstable; urgency=low

  * Correctly use gid instead of uid in migrate_group.pl. Thanks to
    Raimund Sacherer <rs@ngit.at> for spotting the error.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 May 2002 07:13:58 +0200

migrationtools (40-2) unstable; urgency=low

  * Suggest slapd instead of similar older packages. Closes: Bug#142865.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2002 01:29:46 +0200

migrationtools (40-1) unstable; urgency=low

  * Release officially. Closes Bug#80993.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Apr 2002 04:50:29 +0200

migrationtools (40-0.0.jones7) unstable; urgency=low

  * Remove emacs noise in this Changelog file.
  * Add full license in copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Mar 2002 01:41:40 +0100

migrationtools (40-0.0.jones6) unstable; urgency=low

  * Don't ignore system users and groups per default (this is still
    primarily a tool to migrate NIS to LDAP).
  * Fix UTF8 regexp.
  * UTF8-encode surname (sn).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Mar 2002 22:00:39 +0100

migrationtools (40-0.0.jones5) unstable; urgency=low

  * Correctly 7bit-ify "å" (&aring;) into "aa", not "ae".
  * Disable sendmail support per default (no support in any known
    schemas for "mailRecipient" objectclass).
  * Hack migrate_passwd.pl to handle UTF8 (except gecos for some unknown
    reason).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Mar 2002 18:53:49 +0100

migrationtools (40-0.0.jones4) unstable; urgency=low

  * Let's try againg: Add option IGNORE_SYSTEM_ACCOUNTS.
  * Document IGNORE_SYSTEM_ACCOUNTS in README.Debian.
  * Bumb up Standards-version (no changes necessary).
  * Add build-depends.
  * Cleanup debian/rules.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Mar 2002 13:22:18 +0100

migrationtools (40-0.0.jones3) unstable; urgency=low

  * Default manager is admin.
  * Add  option.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2002 01:46:49 +0100

migrationtools (40-0.0.jones2) unstable; urgency=low

  * Change architecture any -> all (how embarrasing).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Mar 2002 23:48:51 +0100

migrationtools (40-0.0.jones1) unstable; urgency=low

  * Unofficial release of newer upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Mar 2002 20:04:32 +0100

migrationtools (37-0.0.jones1) unstable; urgency=low

  * Unofficial release of newer upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Mar 2001 16:20:16 +0100

migrationtools (24-0.1) unstable; urgency=low

  * Initial unofficial release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Mar 2001 16:17:03 +0100
